org.apache.ignite.logger

## Interface LoggerNodeIdAware

All Known Implementing Classes:
  JavaLogger

    public interface LoggerNodeIdAware

Interface for Ignite file appenders to attach node ID to log file names.

### Method Summary

Methods
`UUID` `getNodeId()` Gets node ID.
`void` `setNodeId(UUID nodeId)` Sets node ID.

### Method Detail

#### setNodeId

    void setNodeId(UUID nodeId)

Sets node ID.

Parameters:
  `nodeId` - Node ID.

#### getNodeId

    UUID getNodeId()

Gets node ID.

Returns:
  Node ID.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016